## 开发环境
- 双语推手
http://47.103.219.158:31101

- ERP系统

- ESchool系统
http://47.103.219.158:31102


## 正式环境
- 双语推手
http://admin.pusher.i2erp.cn

- ERP系统
https://erp.i2edu.com

- ESchool系统
https://eschool.i2edu.com/admin

## 工具环境

- 内部开发文档
http://47.103.219.158:31201/
 
- GOGS代码仓库
https://git.i2erp.cn

- 代码构建平台
https://build.i2erp.cn

- MasterLab项目管理工具
http://git.i2erp.cn:8083

## 项目发布
持续集成(Continuous integration)是一种软件开发实践，每次集成都通过自动化的构建（包括编译，发布，自动化测试）来验证，从而尽早地发现集成错误。

持续部署（continuous deployment）是通过自动化的构建、测试和部署循环来快速交付高质量的产品。

我们项目使用的是使用drone配合Wayne完成整个项目的ci/di过程.

1. 提交对应版本代码至gogs
```go
git commit -m "fix: 配置文件丢失问题"
```

2. 构建不同分支不同版本的应用镜像
登录drone https://build.i2erp.cn

下面以构建eschool后台为例

找到eschool项目, 点击进去
![20200210160552](_images/20200210160552.png)

可以看到eschool项目部署的前后端两个应用, 点击进去
![20200210160633](_images/20200210160633.png)

选中最前的一个, 点击右边升级, 记住版本号
![20200210160805](_images/20200210160805.png)

3. 发布版本

目前仅测试环境提供界面化操作, 正式环境尚未提供.

下面以更新eschool后台为例

登录wayne http://47.103.219.158:32000
找到eschool项目, 点击进去
![20200210153509](_images/20200210153509.png)

可以看到eschool项目部署的前后端两个应用, 点击进去
![20200210153225](_images/20200210153225.png)

点击进入克隆页面, 准备发布一个版本
![20200210153828](_images/20200210153828.png)


点击提交后,会生成一个版本, 注意现在还没发布, 只是提交了一个版本, 浏览器点击返回
![20200210154121](_images/20200210154121.png)

最后点击刚才的版本发布, 注意需要在弹出的窗口中选中.

![20200210154521](_images/20200210154521.png)
![20200210154543](_images/20200210154543.png)

4. 回滚版本
如果想返回之前的版本, 可以选中其他版本的发布按钮即可

比如想回退10245版本
![20200210153225](_images/20200210154958.png)

